#!/bin/ksh

# Copyright (c) 2014 Daniel Jakots <vigdis@chown.me>

# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.

# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# http://db.ffdn.org/api/v1/isp/1/ #cafai
# http://db.ffdn.org/api/v1/isp/2/ # Ilico
# http://db.ffdn.org/api/v1/isp/3/ # Grifon
# http://db.ffdn.org/api/v1/isp/4/ # Illyse
# http://db.ffdn.org/api/v1/isp/5/ # Franciliens.net
# http://db.ffdn.org/api/v1/isp/6/ # Sames
# http://db.ffdn.org/api/v1/isp/7/ # Aquilenet
# http://db.ffdn.org/api/v1/isp/8/ # LDN
# http://db.ffdn.org/api/v1/isp/9/ # ARN
# http://db.ffdn.org/api/v1/isp/11/ # Auvernet
# http://db.ffdn.org/api/v1/isp/15/ # tetaneutral
# http://db.ffdn.org/api/v1/isp/17/ # Teleragno
# http://db.ffdn.org/api/v1/isp/18/ # Iloth
# http://db.ffdn.org/api/v1/isp/24/ # Pclight
# http://db.ffdn.org/api/v1/isp/30/ # Rézine
# http://db.ffdn.org/api/v1/isp/31/ # Igwan
# http://db.ffdn.org/api/v1/isp/33/ # Ail network
# http://db.ffdn.org/api/v1/isp/50/ # Faimaison
# http://db.ffdn.org/api/v1/isp/39/ # Rhizome
# http://db.ffdn.org/api/v1/isp/45/ # neutrinet
# http://db.ffdn.org/api/v1/isp/48/ # FDN
# http://db.ffdn.org/api/v1/isp/49/ # apinnet
# http://db.ffdn.org/api/v1/isp/35/ # TDN
# http://db.ffdn.org/api/v1/isp/54/ # NDN

wget -O dump/cafai http://db.ffdn.org/api/v1/isp/1/ # cafai
wget -O dump/ilico http://db.ffdn.org/api/v1/isp/2/ # Ilico
wget -O dump/grifon http://db.ffdn.org/api/v1/isp/3/ # Grifon
wget -O dump/illyse http://db.ffdn.org/api/v1/isp/4/ # Illyse
wget -O dump/franciliens http://db.ffdn.org/api/v1/isp/5/ # Franciliens.net
wget -O dump/sames http://db.ffdn.org/api/v1/isp/6/ # Sames
wget -O dump/aquilenet http://db.ffdn.org/api/v1/isp/7/ # Aquilenet
wget -O dump/ldn http://db.ffdn.org/api/v1/isp/8/ # LDN
wget -O dump/arn http://db.ffdn.org/api/v1/isp/9/ # ARN
wget -O dump/auvernet http://db.ffdn.org/api/v1/isp/11/ # Auvernet
wget -O dump/tetaneutral http://db.ffdn.org/api/v1/isp/15/ # tetaneutral
wget -O dump/teleragno http://db.ffdn.org/api/v1/isp/17/ # Teleragno
wget -O dump/iloth http://db.ffdn.org/api/v1/isp/18/ # Iloth
wget -O dump/pclight http://db.ffdn.org/api/v1/isp/24/ # Pclight
wget -O dump/rezine http://db.ffdn.org/api/v1/isp/30/ # Rézine
wget -O dump/igwan http://db.ffdn.org/api/v1/isp/31/ # Igwan
wget -O dump/ail-network http://db.ffdn.org/api/v1/isp/33/ # Ail network
wget -O dump/faimaison http://db.ffdn.org/api/v1/isp/50/ # Faimaison
wget -O dump/rhizome http://db.ffdn.org/api/v1/isp/39/ # Rhizome
wget -O dump/neutrinet http://db.ffdn.org/api/v1/isp/45/ # neutrinet
wget -O dump/fdn http://db.ffdn.org/api/v1/isp/48/ # fdn
wget -O dump/apinnet http://db.ffdn.org/api/v1/isp/49/ # apinnet
wget -O dump/tdn http://db.ffdn.org/api/v1/isp/35/ # TDN
wget -O dump/ndn http://db.ffdn.org/api/v1/isp/54/ # NDN
